# SPDX-License-Identifier: MIT
# Copyright (C) 2023 Maxwell G <maxwell@gtmx.me>

%bcond tests 1

Name:           forge-srpm-macros
Version:        0.1.0~36.20230813.b59ca1c
Release:        1%{?dist}
Summary:        Macros to simplify packaging of forge-hosted projects

License:        GPL-1.0-or-later
URL:            https://git.sr.ht/~gotmax23/forge-rpm-macros
Source0:        forge-srpm-macros-0.1.0~36.20230813.b59ca1c.tar.gz

BuildRequires:  make
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pyyaml
# For %%pytest definition
BuildRequires:  python3-rpm-macros
%endif
# We require macros and lua defined in redhat-rpm-config
# We constrain this to the version released after the code was split out that
# doesn't contain the same files.

# TODO: Replace with actual verion where the macros were split out
# Requires:       redhat-rpm-config >= XXX
Requires:       redhat-rpm-config


%description
%{summary}.


%prep
%autosetup 


%install
%make_install RPMMACRODIR=%{_rpmmacrodir} RPMLUADIR=%{_rpmluadir}


%check
%if %{with tests}
export MACRO_DIR=%{buildroot}%{_rpmmacrodir}
export MACRO_LUA_DIR="%{buildroot}/usr/lib/rpm/lua"
%pytest
%endif


%files
%license LICENSES/GPL-1.0-or-later.txt
%doc README.md NEWS.md
%{_rpmmacrodir}/macros.forge
%{_rpmluadir}/fedora/srpm/forge.lua


%changelog
* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~36.20230813.b59ca1c-1
- packaging: add NEWS.md to %%doc

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~35.20230813.397477a-1
- packaging: remove rededundant DESTDIR argument

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~34.20230813.b7d96e6-1
- tests: cache macros_path and lua_path

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~33.20230813.45a21f4-1
- make linters happy

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~32.20230813.79c3369-1
- packaging: add missing python3-pyyaml BR

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~31.20230813.360c5bb-1
- add release workflow

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~30.20230813.3786499-1
- add missing Copr Makefile

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~29.20230813.ea9dc41-1
- .builds: add copr-webhook

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~28.20230813.c3ee4d9-1
- add noxfile to run tests and mockbuilds

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~27.20230813.145b7fc-1
- add %%forgeversion to add snapshot info to Version

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~26.20230813.6ba0ccc-1
- tests: improve github commit test fixtures

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~25.20230813.7d2be0f-1
- tests: improve test_vectors stdout/stderr checking

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~24.20230813.c042018-1
- .builds: remove epel-rpm-macros rich dep altogether

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~23.20230813.dd6657b-1
- tests: add test vectors for multisource specfiles

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~22.20230813.ab6bb00-1
- .builds: escape spaces in `packages`

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~21.20230813.5a7f18a-1
- README: add Compatibility section

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~20.20230813.6c2de51-1
- ci: test on Fedora 37 and 38

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~19.20230813.f34ce35-1
- tests: add bitbucket test vector

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~18.20230813.800a8a1-1
- tests: add test vectors for Pagure

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~17.20230813.ee028f9-1
- forge.lua: add missing archiveext for pagure_ns_fork

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~16.20230813.407f690-1
- forge.lua: fix syntax error for pagure_ns_fork

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~15.20230813.45f4ca7-1
- tests: add extensive yaml test vectors file

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~14.20230813.1b71a04-1
- tests: remove returns to fix PytestReturnNotNoneWarning

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~13.20230811.95c47de-1
- add draft forge-srpm-macros.spec

* Wed Mar 29 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~12.20230329.c48d057-1
- add rpmeval.sh to test macro evaluation

* Tue Mar 28 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~11.20230328.006d6e4-1
- tests: use MACRO_LUA_DIR env var instead of MACRO_LUA_PATH

* Tue Mar 28 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~10.20230328.a5efbf7-1
- tests: check urls for nested Gitlab subgroups

* Tue Mar 28 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.0~9.20230328.eef674b-1
- forge: Allow unlimited subgroups in GitLab URLs

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~8.20230327.e958b0e-1
- add builds.sr.ht CI badge

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~7.20230327.9b79de3-1
- tests: add test_slash_tags

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~6.20230327.916ef82-1
- add support for codeberg

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~5.20230327.e76dff1-1
- add .gitignore

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~4.20230327.98f662d-1
- .builds: add reuse lint

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~3.20230327.917bb0f-1
- add CONTRIBUTING

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~2.20230327.1a76c0c-1
- add CI job

* Mon Mar 27 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~1.20230327.b7e60c0-1
- add initial testing aparatus

